---
title: HTMLHyperlinkElementUtils.pathname
slug: Web/API/HTMLHyperlinkElementUtils/pathname
tags:
  - API
  - Experimental
  - HTMLHyperlinkElementUtils
  - Property
  - Reference
  - URL API
---
<p>{{ApiRef("URL API")}}</p>

<p>The <strong><code>HTMLHyperlinkElementUtils.pathname</code></strong> property is a {{domxref("USVString")}} containing an initial <code>'/'</code> followed by the path of the URL not including the query string or fragment (or the empty string if there is no path).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>string</em> = <em>object</em>.pathname;
<em>object</em>.pathname = <em>string</em>;
</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: js notranslate">// Let's an &lt;a id="myAnchor" href="/en-US/docs/HTMLHyperlinkElementUtils.pathname"&gt; element be in the document
var anchor = document.getElementById("myAnchor");
var result = anchor.pathname; // Returns:'/en-US/docs/HTMLHyperlinkElementUtils.pathname'
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-hyperlink-pathname', 'HTMLHyperlinkElementUtils.pathname')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLHyperlinkElementUtils.pathname")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("HTMLHyperlinkElementUtils")}} mixin it belongs to.</li>
</ul>
